Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface RegistryEntryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Subinterfaces:
  ClassificationSchemeType, ExtrinsicObjectType, RegistryPackageType, ServiceType

All Known Implementing Classes:
  ClassificationSchemeTypeImpl, ExtrinsicObjectTypeImpl, RegistryEntryTypeImpl, RegistryPackageTypeImpl, ServiceTypeImpl

    public interface RegistryEntryType

extends RegistryObjectType

A representation of the model object 'Registry Entry Type'.

The following features are supported:

- `Expiration`
- `Major Version`
- `Minor Version`
- `Stability`
- `Status`
- `User Version`

See Also:
  `RimPackage.getRegistryEntryType()`

Method Summary
`java.lang.Object` | `getExpiration()` Returns the value of the 'Expiration' attribute.
`java.math.BigInteger` | `getMajorVersion()` Returns the value of the 'Major Version' attribute.
`java.math.BigInteger` | `getMinorVersion()` Returns the value of the 'Minor Version' attribute.
`StabilityType` | `getStability()` Returns the value of the 'Stability' attribute.
`StatusType` | `getStatus()` Returns the value of the 'Status' attribute.
`java.lang.String` | `getUserVersion()` Returns the value of the 'User Version' attribute.
`boolean` | `isSetMajorVersion()` Returns whether the value of the '`Major Version`' attribute is set.
`boolean` | `isSetMinorVersion()` Returns whether the value of the '`Minor Version`' attribute is set.
`boolean` | `isSetStability()` Returns whether the value of the '`Stability`' attribute is set.
`boolean` | `isSetStatus()` Returns whether the value of the '`Status`' attribute is set.
`void` | `setExpiration(java.lang.Object value)` Sets the value of the '`Expiration`' attribute.
`void` | `setMajorVersion(java.math.BigInteger value)` Sets the value of the '`Major Version`' attribute.
`void` | `setMinorVersion(java.math.BigInteger value)` Sets the value of the '`Minor Version`' attribute.
`void` | `setStability(StabilityType value)` Sets the value of the '`Stability`' attribute.
`void` | `setStatus(StatusType value)` Sets the value of the '`Status`' attribute.
`void` | `setUserVersion(java.lang.String value)` Sets the value of the '`User Version`' attribute.
`void` | `unsetMajorVersion()` Unsets the value of the '`Major Version`' attribute.
`void` | `unsetMinorVersion()` Unsets the value of the '`Minor Version`' attribute.
`void` | `unsetStability()` Unsets the value of the '`Stability`' attribute.
`void` | `unsetStatus()` Unsets the value of the '`Status`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExpiration

    java.lang.Object getExpiration()

  Returns the value of the 'Expiration' attribute.

  If the meaning of the 'Expiration' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expiration' attribute.
  See Also:
    `setExpiration(Object)`, `RimPackage.getRegistryEntryType_Expiration()`

### setExpiration

    void setExpiration(java.lang.Object value)

  Sets the value of the '`Expiration`' attribute.

  Parameters:
    `value` - the new value of the 'Expiration' attribute.
  See Also:
    `getExpiration()`

### getMajorVersion

    java.math.BigInteger getMajorVersion()

  Returns the value of the 'Major Version' attribute. The default value is `"1"`.

  If the meaning of the 'Major Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Major Version' attribute.
  See Also:
    `isSetMajorVersion()`, `unsetMajorVersion()`, `setMajorVersion(BigInteger)`, `RimPackage.getRegistryEntryType_MajorVersion()`

### setMajorVersion

    void setMajorVersion(java.math.BigInteger value)

  Sets the value of the '`Major Version`' attribute.

  Parameters:
    `value` - the new value of the 'Major Version' attribute.
  See Also:
    `isSetMajorVersion()`, `unsetMajorVersion()`, `getMajorVersion()`

### unsetMajorVersion

    void unsetMajorVersion()

  Unsets the value of the '`Major Version`' attribute.

  See Also:
    `isSetMajorVersion()`, `getMajorVersion()`, `setMajorVersion(BigInteger)`

### isSetMajorVersion

    boolean isSetMajorVersion()

  Returns whether the value of the '`Major Version`' attribute is set.

  Returns:
    whether the value of the 'Major Version' attribute is set.
  See Also:
    `unsetMajorVersion()`, `getMajorVersion()`, `setMajorVersion(BigInteger)`

### getMinorVersion

    java.math.BigInteger getMinorVersion()

  Returns the value of the 'Minor Version' attribute. The default value is `"0"`.

  If the meaning of the 'Minor Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minor Version' attribute.
  See Also:
    `isSetMinorVersion()`, `unsetMinorVersion()`, `setMinorVersion(BigInteger)`, `RimPackage.getRegistryEntryType_MinorVersion()`

### setMinorVersion

    void setMinorVersion(java.math.BigInteger value)

  Sets the value of the '`Minor Version`' attribute.

  Parameters:
    `value` - the new value of the 'Minor Version' attribute.
  See Also:
    `isSetMinorVersion()`, `unsetMinorVersion()`, `getMinorVersion()`

### unsetMinorVersion

    void unsetMinorVersion()

  Unsets the value of the '`Minor Version`' attribute.

  See Also:
    `isSetMinorVersion()`, `getMinorVersion()`, `setMinorVersion(BigInteger)`

### isSetMinorVersion

    boolean isSetMinorVersion()

  Returns whether the value of the '`Minor Version`' attribute is set.

  Returns:
    whether the value of the 'Minor Version' attribute is set.
  See Also:
    `unsetMinorVersion()`, `getMinorVersion()`, `setMinorVersion(BigInteger)`

### getStability

    StabilityType getStability()

  Returns the value of the 'Stability' attribute. The default value is `"Dynamic"`. The literals are from the enumeration `StabilityType`.

  If the meaning of the 'Stability' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stability' attribute.
  See Also:
    `StabilityType`, `isSetStability()`, `unsetStability()`, `setStability(StabilityType)`, `RimPackage.getRegistryEntryType_Stability()`

### setStability

    void setStability(StabilityType value)

  Sets the value of the '`Stability`' attribute.

  Parameters:
    `value` - the new value of the 'Stability' attribute.
  See Also:
    `StabilityType`, `isSetStability()`, `unsetStability()`, `getStability()`

### unsetStability

    void unsetStability()

  Unsets the value of the '`Stability`' attribute.

  See Also:
    `isSetStability()`, `getStability()`, `setStability(StabilityType)`

### isSetStability

    boolean isSetStability()

  Returns whether the value of the '`Stability`' attribute is set.

  Returns:
    whether the value of the 'Stability' attribute is set.
  See Also:
    `unsetStability()`, `getStability()`, `setStability(StabilityType)`

### getStatus

    StatusType getStatus()

  Returns the value of the 'Status' attribute. The default value is `"Submitted"`. The literals are from the enumeration `StatusType`.

  If the meaning of the 'Status' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Status' attribute.
  See Also:
    `StatusType`, `isSetStatus()`, `unsetStatus()`, `setStatus(StatusType)`, `RimPackage.getRegistryEntryType_Status()`

### setStatus

    void setStatus(StatusType value)

  Sets the value of the '`Status`' attribute.

  Parameters:
    `value` - the new value of the 'Status' attribute.
  See Also:
    `StatusType`, `isSetStatus()`, `unsetStatus()`, `getStatus()`

### unsetStatus

    void unsetStatus()

  Unsets the value of the '`Status`' attribute.

  See Also:
    `isSetStatus()`, `getStatus()`, `setStatus(StatusType)`

### isSetStatus

    boolean isSetStatus()

  Returns whether the value of the '`Status`' attribute is set.

  Returns:
    whether the value of the 'Status' attribute is set.
  See Also:
    `unsetStatus()`, `getStatus()`, `setStatus(StatusType)`

### getUserVersion

    java.lang.String getUserVersion()

  Returns the value of the 'User Version' attribute.

  If the meaning of the 'User Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Version' attribute.
  See Also:
    `setUserVersion(String)`, `RimPackage.getRegistryEntryType_UserVersion()`

### setUserVersion

    void setUserVersion(java.lang.String value)

  Sets the value of the '`User Version`' attribute.

  Parameters:
    `value` - the new value of the 'User Version' attribute.
  See Also:
    `getUserVersion()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD